/*
Copyright 2011 SALVATORE TRENTO <trentosalvatore@libero.it>

This file is part of SNAKE 1.00.

SNAKE 1.00 is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

SNAKE 1.00  is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with SNAKE 1.00.  If not, see
http://www.gnu.org/licenses/>.

*/

/*
La classe Cibo.h, ha la funzione di inserire il cibo all'interno della matrice.
L'inserimento del cibo avviene solamente se all'interno della matrice non sia 
gia presente, in questo caso (PresenzaCibo=false) per indicare che non è presente.

Oltre a valutare la presenza del cibo all'interno della matrice, si deve evitare di
l'inserimento ad una postazione dove sia presente il serpente.

Se l'inserimento è avvenuto con successo, return true; Altrimenti selezionare altre 
postazioni all'interno della matrice sino a quando l'inserimento viene effettuato;

*/

#ifndef CIBO_H
#define CIBO_H

#include <ctime>
#include <cstdlib>

class Cibo
{
	public:
		Cibo();
		void GeneraCibo(char **M, const int R, const int C,char omino,
			 char TipoFrutta, bool & Presenza);

};
#endif
