/*
Copyright 2011 SALVATORE TRENTO <trentosalvatore@libero.it>

This file is part of SNAKE 1.00.

SNAKE 1.00 is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

SNAKE 1.00  is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with SNAKE 1.00.  If not, see
http://www.gnu.org/licenses/>.

*/

/*

La classe Posizione.h, è stata creata per poter memorizzare la Riga e la Colonna,
in cui è presente nel serpente, all'interno della list<Posizione> percorso; 

*/

#ifndef POSIZIONE_H
#define POSIZIONE_H

class Posizione
{
	private:
		int riga;
		int colonna;
	public:
		Posizione();
		
		void SetRiga(const int valore);
		void SetColonna(const int valore);

		int GetRiga()const;
		int GetColonna()const;
};
#endif 
